Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.configuration
Class Configuration.PropertiesTokenizer

    java.lang.Object
      |
      +--java.util.StringTokenizer
            |
            +--org.apache.velocity.runtime.configuration.Configuration.PropertiesTokenizer

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  Configuration

class Configuration.PropertiesTokenizer
extends java.util.StringTokenizer

This class divides into tokens a property value. Token separator is "," but commas into the property value are escaped using the backslash in front.

Field Summary
`(package private) static java.lang.String` | `DELIMITER` The property delimiter used while parsing (a comma).

Fields inherited from class java.util.StringTokenizer
`currentPosition, delimiters, delimsChanged, maxDelimChar, maxPosition, newPosition, retDelims, str`

Constructor Summary
`Configuration.PropertiesTokenizer(java.lang.String string)` Constructor.

Method Summary
`boolean` | `hasMoreTokens()` Check whether the object has more tokens.
`java.lang.String` | `nextToken()` Get next token.

Methods inherited from class java.util.StringTokenizer
`countTokens, hasMoreElements, nextElement, nextToken, scanToken, setMaxDelimChar, skipDelimiters`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DELIMITER

    static final java.lang.String DELIMITER

  The property delimiter used while parsing (a comma).

Constructor Detail

### Configuration.PropertiesTokenizer

    public Configuration.PropertiesTokenizer(java.lang.String string)

  Constructor.
  Parameters:
    `string` - A String.

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

  Check whether the object has more tokens.
  Overrides:
    `hasMoreTokens` in class `java.util.StringTokenizer`
  Returns:
    True if the object has more tokens.

### nextToken

    public java.lang.String nextToken()

  Get next token.
  Overrides:
    `nextToken` in class `java.util.StringTokenizer`
  Returns:
    A String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.